package org.gcube.portlets.user.geoportaldataviewer.shared.products.model;

import java.io.Serializable;
import java.util.List;

import org.gcube.portlets.user.geoportaldataviewer.shared.gis.BoundsMap;

import com.google.gwt.user.client.rpc.IsSerializable;

public class LayerConcessioneDV extends SDILayerDescriptorDV implements IsSerializable, Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2633250621043744245L;

	// 1.Identificazione
	private String abstractSection;

	// 2.Classificazione
	private String topicCategory;

	// 3.Keyword
	private String subTopic;

	// 4. Delimitazione geographica
	private BoundsMap bbox;

	// 5. Temporal

	// 6. Quality
	private String valutazioneQualita;

	private String metodoRaccoltaDati;

	private String scalaAcquisizione;

	private List<String> authors;

	public LayerConcessioneDV() {

	}

	public String getAbstractSection() {
		return abstractSection;
	}

	public void setAbstractSection(String abstractSection) {
		this.abstractSection = abstractSection;
	}

	public String getTopicCategory() {
		return topicCategory;
	}

	public void setTopicCategory(String topicCategory) {
		this.topicCategory = topicCategory;
	}

	public String getSubTopic() {
		return subTopic;
	}

	public void setSubTopic(String subTopic) {
		this.subTopic = subTopic;
	}

	public BoundsMap getBbox() {
		return bbox;
	}

	public void setBbox(BoundsMap bbox) {
		this.bbox = bbox;
	}

	public String getValutazioneQualita() {
		return valutazioneQualita;
	}

	public void setValutazioneQualita(String valutazioneQualita) {
		this.valutazioneQualita = valutazioneQualita;
	}

	public String getMetodoRaccoltaDati() {
		return metodoRaccoltaDati;
	}

	public void setMetodoRaccoltaDati(String metodoRaccoltaDati) {
		this.metodoRaccoltaDati = metodoRaccoltaDati;
	}

	public String getScalaAcquisizione() {
		return scalaAcquisizione;
	}

	public void setScalaAcquisizione(String scalaAcquisizione) {
		this.scalaAcquisizione = scalaAcquisizione;
	}

	public List<String> getAuthors() {
		return authors;
	}

	public void setAuthors(List<String> authors) {
		this.authors = authors;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("LayerConcessione [abstractSection=");
		builder.append(abstractSection);
		builder.append(", topicCategory=");
		builder.append(topicCategory);
		builder.append(", subTopic=");
		builder.append(subTopic);
		builder.append(", bbox=");
		builder.append(bbox);
		builder.append(", valutazioneQualita=");
		builder.append(valutazioneQualita);
		builder.append(", metodoRaccoltaDati=");
		builder.append(metodoRaccoltaDati);
		builder.append(", scalaAcquisizione=");
		builder.append(scalaAcquisizione);
		builder.append(", authors=");
		builder.append(authors);
		builder.append(", wmsLink=");
		builder.append(super.getWmsLink());
		builder.append(", layerName=");
		builder.append(super.getLayerName());
		builder.append("]");
		return builder.toString();
	}

}
